# -*- coding: utf-8 -*-

from setuptools import *
import numpy
import os
import sys
numpy_include = numpy.get_include()

version = ("PYTHON2",None)
if sys.version_info.major==3:
    version = ("PYTHON3",None)

pthread_include = 'C:/Users/fred/Documents/pthread/Pre-built.2/include'
pthread_lib = 'C:/Users/fred/Documents/pthread/Pre-built.2/lib'
opencl_include="C:/Program Files/NVIDIA GPU Computing Toolkit/CUDA/v4.1/include/CL"
opencl_library="C:/Program Files/NVIDIA GPU Computing Toolkit/CUDA/v4.1/lib/Win32"
glew_include = "C:/Users/fred/Documents/openGL/glew-1.13.0/include"
glew_library = "C:/Users/fred/Documents/openGL/glew-1.13.0/lib/Release/Win32"
freeglut_include = "C:/Users/fred/ocuments/openGL/freeglut/include"
freeglut_library = "C:/Users/fred/Documents/openGL/freeglut/lib"




module_pyschrodinger2d = Extension(name="schrodinger2d.pyschrodinger2d",
    sources=['src/schrodinger2d.c','src/pyschrodinger2d.c','src/shaders.c','src/transfo.c'],
    include_dirs=[numpy_include,opencl_include,glew_include,freeglut_include,pthread_include],
    library_dirs=[glew_library,freeglut_library,pthread_lib],
    libraries=['OpenCL','pthreadVC2','glew32','freeglut'],define_macros=[version,('OPENCL',None)])

# enlever define_macros pour compiler sans OpenCL
# placer pthreadVC2.dll et glew32.dll dans le build

setup(name="schrodinger2d",
    version = "0.1",
    description= "Equation de Schrodinger",
    author = "Frederic Legrand",
    author_email = "fredlegr@club-internet.fr",
    url="www.f-legrand.fr",
    packages=['schrodinger2d'],
    ext_modules=[module_pyschrodinger2d ])
