# -*- coding: utf-8 -*-

from setuptools import *
import numpy
import os
import sys
numpy_include = numpy.get_include()

version = ("PYTHON2",None)
if sys.version_info.major==3:
    version = ("PYTHON3",None)

opencl_include = "/home/fred/NVIDIA_GPU_Computing_SDK/OpenCL/common/inc"



module_pyschrodinger2d = Extension(name="schrodinger2d.pyschrodinger2d",
    sources=['src/schrodinger2d.c','src/pyschrodinger2d.c','src/shaders.c','src/transfo.c'],
    include_dirs=[numpy_include,opencl_include],
    libraries=['OpenCL','m','pthread','glut','GLEW'],define_macros=[('OPENCL',None)])



setup(name="schrodinger2d",
    version = "0.1",
    description= "Equation de Schrodinger",
    author = "Frederic Legrand",
    author_email = "fredlegr@club-internet.fr",
    url="www.f-legrand.fr",
    packages=['schrodinger2d'],
    ext_modules=[module_pyschrodinger2d ])
