#include "dataTypes.h"
#define TYPE_CARTESIAN 10
#define LINE_UP 1
#define LINE_DOWN 2
#define LINE_LEFT 3
#define LINE_RIGHT 4

#define COLORMAP_GRAY 1
#define COLORMAP_TSV 2

#define RENDERING_IMG 1
#define RENDERING_SURFACE 2


#define SCHRODINGER2D_ERROR_THREAD_START -70
#define SCHRODINGER2D_ERROR_THREAD_JOIN -71
#define SCHRODINGER2D_ERROR_THREAD_BARRIER -72

#define SCHRODINGER2D_BAD_PLATFORM_NUMBER -73
#define SCHRODINGER2D_UNKNOWN_DEVICE -74
#define SCHRODINGER2D_BAD_DEVICE_NUMBER -75

int schrodinger2d_open(char type,int px_min, int py_min, int levels, float Lx, int normalize,int colormap,float gamma);
int schrodinger2d_close(void);
int schrodinger2d_time_step(float dt);
int schrodinger2d_potential_rectangle(int ci0, int cj0, int width, int height, float v);
int schrodinger2d_potential_disk(int ci0, int cj0, int radius, float v);
int schrodinger2d_potential(float *data);
int schrodinger2d_schrodinger(void);
int schrodinger2d_dirichlet_borders(void);
int schrodinger2d_dirichlet_line(int i0, int j0, int length, int direction);
int schrodinger2d_init(void);
int schrodinger2d_iterations(float ti, float tf);
int schrodinger2d_paquet(float x0, float y0, float k0, float sigma0);
int schrodinger2d_get_psi(float *psi_re, float *psi_im);
int schrodinger2d_get_proba(float *proba);
int schrodinger2d_get_proba_colors(float *image);
int schrodinger2d_get_size(int *width, int *height);
int schrodinger2d_get_contours(float *data);
int schrodinger2d_iterations_2threads(float ti, float tf);
int schrodinger2d_iterations_4threads(float ti, float tf);
int schrodinger2d_start_gl(void) ;
int schrodinger2d_start_rendering(float ti, float tf, int opencl, int width, int height, float surface_height, int rendering,float angle_x, float angle_z);
int schrodinger2d_offscreen_rendering(float ti, float tf, int opencl,int width, int height, float surface_height, int rendering, float angle_x, float angle_z,void *data);
#ifdef OPENCL
int schrodinger2d_opencl_platforms(void);
int schrodinger2d_set_opencl_platform_device(int p, int d);
int schrodinger2d_opencl_init(void);
int schrodinger2d_opencl_create_memory(void);
int schrodinger2d_opencl_release_memory(void);
int schrodinger2d_opencl_iterations(float ti, float tf);
#endif
int _init_gl(int rendering);

