

typedef struct {
    float *M;
    float *invM;
    void *last;
} Transformation;

void transfo_new(Transformation **trans);
void transfo_delete(Transformation *trans);
void transfo_init(Transformation *trans);
void transfo_copy(Transformation *trans, Transformation *modele);
void transfo_compose(Transformation *trans, Transformation *t);
void transfo_save(Transformation *trans);
void transfo_restore(Transformation *trans);
void transfo_translate(Transformation *trans, float tx, float ty, float tz);
void transfo_rotate_z_rad(Transformation *trans, float a);
void transfo_rotate_z(Transformation *trans, float a);
void transfo_rotate_x_rad(Transformation *trans, float a);
void transfo_rotate_x(Transformation *trans, float a);
void transfo_rotate_y_rad(Transformation *trans, float a);
void transfo_rotate_y(Transformation *trans, float a);
void transfo_scale(Transformation *trans, float sx, float sy, float sz);
void projection_frustum(Transformation *trans, float width, float height, float near, float far);
void projection_ortho(Transformation *trans, float width, float height, float near, float far);
void transfo_get_normal_matrix(Transformation *trans, float *N);
