# -*- coding: utf-8 -*-

import numpy
from schrodinger2d.main import Schrodinger2d

opencl=True
rendering=2 # 1=image, 2=surface

px_min = 7
py_min = 7
levels = 3
Lx = 1.0
x0=0.2
y0=0.5
k0 = 250
sigma0 = 0.05
E=k0*k0
solver = Schrodinger2d(px_min,py_min,levels,Lx,normalize=False,colormap=2,gamma=0.7)
if opencl:
    solver.opencl_platforms()
    solver.set_opencl_platform_device(0,0)
    solver.opencl_init()
def V(x,y):
    r2 = (x-0.5)*(x-0.5)+(y-0.5)*(y-0.5)+1e-4
    return E*0.5/numpy.sqrt(r2)
solver.potential_function(V)

dt = 2*solver.dx**2
solver.schrodinger(dt)

solver.paquet(x0,y0,k0,sigma0)
solver.init()
if opencl:
    solver.opencl_create_memory()

solver.start_rendering(0,1000*dt,opencl=opencl,width=solver.width,height=solver.height,rendering=rendering,surface_height=0.3,angle_x=45,angle_z=10)
if opencl:
    solver.opencl_release_memory()
solver.close()

